### Virtual Method

# FwupdPlugin Backend invalidate

since: 1.8.0

#### Declaration [src]

    void
    invalidate (
      FuBackend* self
    )

#### Description [src]

Normally when calling `fu_backend_setup()` multiple times it is only actually done once. Calling this method causes the next requests to `fu_backend_setup()` to actually probe the hardware.

Only subclassed backends setting `can-invalidate=TRUE` at construction time can use this method, as it is not always safe to call for backends shared between multiple plugins.

This should be done in case the backing information source has changed, for instance if a platform subsystem has been updated.

This also optionally calls the ->invalidate() vfunc for the backend. This allows the backend to perform shared backend actions on superclassed devices.

Available since: 1.8.0